plist-cil : Claunia.PropertyList Namespace

# NSDictionary Class

A NSDictionary is a collection of keys and values, essentially a Dictionary. The keys are simple Strings whereas the values can be any kind of NSObject.

You can access the keys through the function NSDictionary.Keys.

Access to the objects stored for each key is given through the function NSDictionary.ObjectForKey(string).

## Syntax

public class NSDictionary : NSObject, ICollection<KeyValuePair<string, NSObject>>, IDictionary<string, NSObject>, IEnumerable<KeyValuePair<string, NSObject>>

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSDictionary () | Creates a new empty NSDictionary.

## Public Properties

[read-only] | Count | int . Gets the count of items in the current instance.
[read-only] | IsEmpty | bool . Gets a value indicating whether this instance is empty.
[read-only] | IsReadOnly | bool . Gets a value indicating whether this instance is read only.
default property | Item (string) | NSObject . Gets or sets the Claunia.PropertyList.NSObject at the specified index.
[read-only] | Keys | ICollection<string> . Gets an array with all the keys contained in the current instance.
[read-only] | Values | ICollection<NSObject> . Gets an array with all the objects contained in the current instance.

## Public Methods

| Add (KeyValuePair<string, NSObject>) Adds the specified item.
| Add (string, NSObject) Add the specified key and value.
| Add (string, bool) Puts a new key-value pair into this dictionary.
| Add (string, double) Puts a new key-value pair into this dictionary.
| Add (string, long) Puts a new key-value pair into this dictionary.
| Add (string, object) Puts a new key-value pair into this dictionary. If the value is null, no operation will be performed on the dictionary.
| Clear () Clears this instance.
| Contains (KeyValuePair<string, NSObject>) : bool Checks if the current instance contains the specified item.
| ContainsKey (object) : bool Checks if the specified object key is contained in the current instance.
| ContainsKey (string) : bool Checks if there is any item contained in the current instance corresponding with the specified key.
| ContainsValue (NSObject) : bool Checks if there is any item contained in the current instance corresponding with the specified value.
| ContainsValue (bool) : bool Checks whether a given value is contained in this dictionary.
| ContainsValue (byte[]) : bool Checks whether a given value is contained in this dictionary.
| ContainsValue (DateTime) : bool Checks whether a given value is contained in this dictionary.
| ContainsValue (double) : bool Checks whether a given value is contained in this dictionary.
| ContainsValue (long) : bool Checks whether a given value is contained in this dictionary.
| ContainsValue (object) : bool Checks if the current instance contains the object corresponding to the specified key.
| ContainsValue (string) : bool Checks whether a given value is contained in this dictionary.
| CopyTo (KeyValuePair<string, NSObject>[], int) Copies the System.Collections.Generic.Dictionary`2.ValueCollection elements to an existing one-dimensional Array, starting at the specified array index.
override | Equals (NSObject) : bool Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDictionary.
abstract | Equals (NSObject) : bool Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)
| Get (object) : NSObject Gets the Claunia.PropertyList.NSObject corresponding to the specified key from the current instance.
| GetDictionary () : Dictionary<string, NSObject> Gets the hashmap which stores the keys and values of this dictionary. Changes to the hashmap's contents are directly reflected in this dictionary.
| GetEnumerator () : IEnumerator<KeyValuePair<string, NSObject>> Gets the enumerator.
override | GetHashCode () : int Serves as a hash function for a Claunia.PropertyList.NSDictionary object.
| ObjectForKey (string) : NSObject Gets the NSObject stored for the given key.
| Remove (KeyValuePair<string, NSObject>) : bool Removes the specified item.
| Remove (object) : bool Removes the item corresponding to the specified key from the current instance, if found.
| Remove (string) : bool Removes the item belonging to the specified key.
| ToASCIIPropertyList () : string Generates a valid ASCII property list which has this NSDictionary as its root object. The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists.
| ToGnuStepASCIIPropertyList () : string Generates a valid ASCII property list in GnuStep format which has this NSDictionary as its root object. The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation.
| ToObject () : object Converts this NSObject into an equivalent object of the .NET Runtime Environment. Claunia.PropertyList.NSArray objects are converted to arrays. Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class. Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class. Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool). Claunia.PropertyList.NSString objects are converted to string objects. Claunia.PropertyList.NSData objects are converted to byte arrays. Claunia.PropertyList.NSDate objects are converted to DateTime objects. Claunia.PropertyList.UID objects are converted to byte arrays. (Inherited from NSObject.)
| ToXmlPropertyList () : string Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)
| TryGetValue (string, out NSObject) : bool Tries to get the item corresponding to the specified key

## Explicitly Implemented Interface Members

| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.

## Member Details

### NSDictionary Constructor

> Creates a new empty NSDictionary.

> ## Syntax

> public NSDictionary ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Adds the specified item.

> ## Syntax

> public void Add (KeyValuePair<string, NSObject> item)

> #### Parameters

> > item
> >   Item.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Add the specified key and value.

> ## Syntax

> public void Add (string key, NSObject value)

> #### Parameters

> > key
> >   Key.
> > value
> >   Value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Puts a new key-value pair into this dictionary.

> ## Syntax

> public void Add (string key, bool obj)

> #### Parameters

> > key
> >   The key.
> > obj
> >   The value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Puts a new key-value pair into this dictionary.

> ## Syntax

> public void Add (string key, double obj)

> #### Parameters

> > key
> >   The key.
> > obj
> >   The value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Puts a new key-value pair into this dictionary.

> ## Syntax

> public void Add (string key, long obj)

> #### Parameters

> > key
> >   The key.
> > obj
> >   The value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Add Method

> Puts a new key-value pair into this dictionary. If the value is null, no operation will be performed on the dictionary.

> ## Syntax

> public void Add (string key, object obj)

> #### Parameters

> > key
> >   The key.
> > obj
> >   The value. Supported object types are numbers, byte-arrays, dates, strings and arrays or sets of those.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Clear Method

> Clears this instance.

> ## Syntax

> public void Clear ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Contains Method

> Checks if the current instance contains the specified item.

> ## Syntax

> public bool Contains (KeyValuePair<string, NSObject> item)

> #### Parameters

> > item
> >   Item.

> #### Returns

> > `true` if it is found, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsKey Method

> Checks if the specified object key is contained in the current instance.

> ## Syntax

> public bool ContainsKey (object key)

> #### Parameters

> > key
> >   Key.

> #### Returns

> > `true`, if key is contained, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsKey Method

> Checks if there is any item contained in the current instance corresponding with the specified key.

> ## Syntax

> public bool ContainsKey (string key)

> #### Parameters

> > key
> >   Key.

> #### Returns

> > `true`, if key was contained, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks if there is any item contained in the current instance corresponding with the specified value.

> ## Syntax

> public bool ContainsValue (NSObject value)

> #### Parameters

> > value
> >   Key.

> #### Returns

> > `true`, if value is contained, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (bool val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (byte[] val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (DateTime val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (double val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (long val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks if the current instance contains the object corresponding to the specified key.

> ## Syntax

> public bool ContainsValue (object value)

> #### Parameters

> > value
> >   Object to search up in the current instance.

> #### Returns

> > `true`, if value is contained, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsValue Method

> Checks whether a given value is contained in this dictionary.

> ## Syntax

> public bool ContainsValue (string val)

> #### Parameters

> > val
> >   The value that will be searched for.

> #### Returns

> > Whether the key is contained in this dictionary.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### CopyTo Method

> Copies the System.Collections.Generic.Dictionary`2.ValueCollection elements to an existing one-dimensional Array, starting at the specified array index.

> ## Syntax

> public void CopyTo (KeyValuePair<string, NSObject>[] array, int arrayIndex)

> #### Parameters

> > array
> >   The one-dimensional Array that is the destination of the elements copied from System.Collections.Generic.Dictionary`2.ValueCollection. The Array must have zero-based indexing.
> > arrayIndex
> >   The zero-based index in array at which copying begins.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Count Property

> Gets the count of items in the current instance.

> ## Syntax

> public int Count { get; }

> #### Value

> > How many items are contained in the current instance.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDictionary.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSDictionary.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDictionary; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Get Method

> Gets the Claunia.PropertyList.NSObject corresponding to the specified key from the current instance.

> ## Syntax

> public NSObject Get (object key)

> #### Parameters

> > key
> >   Key.

> #### Returns

> > The object corresponding to the specified key, null if not found in the current instance.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetDictionary Method

> Gets the hashmap which stores the keys and values of this dictionary. Changes to the hashmap's contents are directly reflected in this dictionary.

> ## Syntax

> public Dictionary<string, NSObject> GetDictionary ()

> #### Returns

> > The hashmap which is used by this dictionary to store its contents.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetEnumerator Method

> Gets the enumerator.

> ## Syntax

> public IEnumerator<KeyValuePair<string, NSObject>> GetEnumerator ()

> #### Returns

> > The enumerator.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSDictionary object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IsEmpty Property

> Gets a value indicating whether this instance is empty.

> ## Syntax

> public bool IsEmpty { get; }

> #### Value

> > `true` if this instance is empty; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IsReadOnly Property

> Gets a value indicating whether this instance is read only.

> ## Syntax

> public bool IsReadOnly { get; }

> #### Value

> > `true` if this instance is read only; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Item Property

> Gets or sets the Claunia.PropertyList.NSObject at the specified index.

> ## Syntax

> This is the default property for this class.

> public NSObject this [string index] { get; set; }

> #### Parameters

> > index
> >   Index.

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Keys Property

> Gets an array with all the keys contained in the current instance.

> ## Syntax

> public ICollection<string> Keys { get; }

> #### Value

> > The keys.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ObjectForKey Method

> Gets the NSObject stored for the given key.

> ## Syntax

> public NSObject ObjectForKey (string key)

> #### Parameters

> > key
> >   The key.

> #### Returns

> > The object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Remove Method

> Removes the specified item.

> ## Syntax

> public bool Remove (KeyValuePair<string, NSObject> item)

> #### Parameters

> > item
> >   Item to remove.

> #### Returns

> > `true` if successfully removed, `false` if not, or if item is not in current instance.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Remove Method

> Removes the item corresponding to the specified key from the current instance, if found.

> ## Syntax

> public bool Remove (object key)

> #### Parameters

> > key
> >   Key.

> #### Returns

> > `true`, if removed, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Remove Method

> Removes the item belonging to the specified key.

> ## Syntax

> public bool Remove (string key)

> #### Parameters

> > key
> >   Key.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToASCIIPropertyList Method

> Generates a valid ASCII property list which has this NSDictionary as its root object. The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists.

> ## Syntax

> public string ToASCIIPropertyList ()

> #### Returns

> > ASCII representation of this object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToGnuStepASCIIPropertyList Method

> Generates a valid ASCII property list in GnuStep format which has this NSDictionary as its root object. The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation.

> ## Syntax

> public string ToGnuStepASCIIPropertyList ()

> #### Returns

> > GnuStep ASCII representation of this object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### TryGetValue Method

> Tries to get the item corresponding to the specified key

> ## Syntax

> public bool TryGetValue (string key, out NSObject value)

> #### Parameters

> > key
> >   Key.
> > value
> >   Where to store the value.

> #### Returns

> > `true`, if get value was successfully found and retrieved, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Values Property

> Gets an array with all the objects contained in the current instance.

> ## Syntax

> public ICollection<NSObject> Values { get; }

> #### Value

> > The objects.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0